"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const hover_test_util_1 = require("../../../test-util/hover-test-util");
const stylus_hover_1 = require("../stylus-hover");
const stylus = hover_test_util_1.hoverDSL({
    langId: 'stylus',
    docUri: 'test://test/test.styl',
    doHover(doc, pos) {
        return stylus_hover_1.stylusHover(doc, pos);
    }
});
suite('Stylus Hover', () => {
    test('property hover', () => {
        stylus `.test
  cu|rsor pointer`.hasHoverAt('Allows control over cursor appearance in an element', 9);
        stylus `.test
  cu|rsor: pointer`.hasHoverAt('Allows control over cursor appearance in an element', 9);
        stylus `.test
  |cursor: pointer`.hasHoverAt('Allows control over cursor appearance in an element', 9);
        stylus `.test
  cursor|: pointer`.hasHoverAt('Allows control over cursor appearance in an element', 9);
        stylus `.test
  cursor: p|ointer`.hasNothing();
    });
});
//# sourceMappingURL=hover.test.js.map